Subject: Bug#1334: [X2Go-Dev] Bug#1334: Bidirectional clipboard mode stops working with Windows 10 x2goclient

From: Ulrich Sibiller <[email-masked]>
Date: Thu, 11 Oct 2018 16:24:43 +0200

Thanks! This sounds a bit like a off-by-one problem in the clipboard code.

However, to break this down further I want to rule out some
components. First, can you please verify if this is somehow
reproducable on a Linux client?

Next I would like to try and take x2go out of the equation:
- run vcxsrv on windows (vcxsrv.exe -multiwindow -ac :121)
- ssh to the Linux server (e.g. with putty) and point the DISPLAY
variable to the VcXsrv on windows (export
DISPLAY=:<windowsmachine>:121) Note: you might have to disable the
windows firewall
- run nxagent -ac :123 in the shell on the server -> you will get the
nxagent window on you Windows desktop
- in a second shell on the server point the DISPLAY variable to :123
and start the MATE session (export DISPLAY=:123;
STARTUP=mate-session dbus-run-session /etc/X11/Xsession)
Now repeat your editor tests.

Uli
On Thu, Oct 11, 2018 at 3:32 PM Aki Ketolainen <[email-masked]> wrote:
>
> Package: x2goclient
> Version: 4.1.2.0
>
> I'm using x2goclient 4.1.2.0 on Windows 10. I have found two ways that
> break the bidirectional clipboard mode, one for the MATE desktop and
> one for the Plasma 4 desktop (both on the x2go server).
>
> 1) MATE desktop
>
> - Open a connection to your x2go server.
>
> - In Windows 10: Open a text editor. I use Notepad++.
>    - Write a single character in the editor, then select it and use copy.
>
> - In MATE desktop: Open a text editor. I use pluma.
>    - Press spacebar once and then select the empty space with ctrl+a.
>    - Use paste to paste the clipboard contents. At this point the
> clipboard
>      functionality breaks.
>
> 2) Plasma 4 desktop
>
> - Open a connection to your x2go server.
>
> - In Windows 10: Open a text editor. I use Notepad++.
>    - Write a single character in the editor, then select it and use copy.
>
> - In Plasma 4 desktop: Open a text editor. I use emacs. If I use KWrite
>    there is no problem.
>    - In an empty emacs buffer, press spacebar once, press cursor left and
>      then use ctrl+space to mark the selection starting point and press
>      cursor right once to select the empty space.
>    - Use ctrl+y to yank the contents of the clipboard. At this point
>      the clipboard functionality breaks and emacs goes into a loop
> consuming
>      100% CPU.
>
> Both of these break the Windows 10 side clipboard so that it doesn't
> work
> until I restart the computer.
>
> The client machine's OS: Windows 10 64-bit
> The client machine's version of X2GoClient, PyHoca-GUI or Pyhoca-CLI:
> 4.1.20
> Any relevant session settings in X2GoClient, PyHoca-GUI or Pyhoca-CLI:
> no
> The server's OS: MATE desktop: Fedora 27 x86_64, Plasma 4 desktop:
> CentOS 6 x86_64
> The server's version of the x2goserver package: MATE desktop:
> x2goserver-4.1.0.2-0.0x2go1.1.git20180801.1642.main.fc27.x86_64, Plasma
> 4 desktop: x2goserver-4.0.1.19-3.el6.x86_64
> The server's version of the x2goserver-xsession package: MATE desktop:
> x2goserver-xsession-4.1.0.2-0.0x2go1.1.git20180801.1642.main.fc27.x86_64,
> Plasma 4 desktop: not installed
> The server's version of the nxagent package: MATE desktop:
> nxagent-3.5.99.16-0.0build1.1.git20180719.2988.main.fc27.x86_64, Plasma
> 4 desktop: nxagent-3.5.0.32-3.1.x86_64
> The server's version of any other relevant packages (e.g., if the bug as
> about MATE integration, the version of x2gomatebindings): MATE desktop:
> not installed
> Any relevant settings in X2GoServer (that you changed from the
> defaults): MATE desktop: enabled BIG-REQUESTS
>
> Best regards,
>
> Aki
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev